Subject: [lmap] Terminology

From: "STARK, BARBARA H" <[email-masked]>
Date: Tue, 13 Nov 2012 17:06:24 +0000

I'm separating my response into a couple of topics, for better thread identification.

> > Some access network providers may want a new architecture that perhaps
> > re-uses some existing architectural elements, but maybe adds a new "control
> > plane" protocol. Some may want to use a proprietary control plane protocol,
> > and some may want to get together with other access network providers and
> > standardize such a protocol.
> 
> First, I think the correct term to use, above, is: "management protocol" or
> OAM protocol, not "control plane protocol".  Examples of the former in the
> IETF are: SNMP, NETCONF.  In the IETF, I think if/when people see "control
> plane" protocol, they will instantly assume you mean: BGP, OSPF, LDP, etc.
> Sorry to be the "word police" :-).

Yes, I'm struggling with collision of various worlds here. 
In the M2M world, there has been a lot of discussion around something that has been referred to as a "control plane" protocol. See http://docbox.etsi.org/workshop/2011/201110_m2mworkshop/03_m2mcooperation/broadbandforum_walls.pdf slides 10 and 13-18, for an example. There have been suggestions elsewhere that something similar may be used to do near-real-time control of performance testing.

An OAM protocol (Operation, Administration, and Management) is generally used for reasonably static configuration. They aren't optimized for near-real-time control. In the case of measurement architectures, I've seen suggestions that an OAM protocol might be used for configuring aspects of measurement testing (e.g., firmware or apps that include testing capabilities), while a near-real-time protocol might be needed for controlling the tests. However, I understand that people in IETF tend to use "control plane" in the context of network control, and not device/application control. So I agree it's best not to use that on an IETF list. I consider "measurement client to measurement controller" to be a little bit long as the title for something to discuss. Perhaps we can refer to it in discussion here as a Measurement Control Protocol?
Barbara